cURL
curl --request GET \ --url https://api.attention.tech/v2/super-agent/sessions/{sessionId}/messages \ --header 'Authorization: <api-key>'
{ "session_id": "session-uuid-456", "title": "Q1 Revenue Analysis", "status": "ACTIVE", "messages": [ { "id": "msg-uuid-1", "session_id": "session-uuid-456", "content": "What were our Q1 revenue results?", "role": "user", "timestamp": "2024-03-18T14:30:00Z", "metadata": {} }, { "id": "msg-uuid-2", "session_id": "session-uuid-456", "content": "Revenue targets were met at 105%.", "role": "assistant", "timestamp": "2024-03-18T14:30:05Z", "metadata": {} } ] }
Retrieves all messages for a given super agent chat session. Session must belong to user’s organization.
The session ID to retrieve messages for
Session messages retrieved successfully
The session ID
Session title
Current session status
List of messages in the session
Show child attributes
Was this page helpful?